org.apache.ignite.internal.processors.cache.tree.mvcc.search

## Interface MvccDataPageClosure

    public interface MvccDataPageClosure

Data page MVCC filter.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `applyMvcc(DataPageIO io, long dataPageAddr, int itemId, int pageSize)`

### Method Detail

#### applyMvcc

    boolean applyMvcc(DataPageIO io,
                      long dataPageAddr,
                      int itemId,
                      int pageSize)
               throws IgniteCheckedException

Parameters:
  `io` - Data page IO.
  `dataPageAddr` - Data page address.
  `itemId` - Item Id.
  `pageSize` - Page size.
Returns:
  `true` If the row is visible.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020